<!-- 收货地址 -->
<template>
  <div>
    <div>
      <div class="scroll">
          <h3 style="text-align:center"> 投诉卖家 </h3>
          <br>  
        <div class="address m_brd" >
          <div> 
            <div class="human_info flex">
              <div class="human_info--name">卖家名字 : {{this.data.seller_name}}</div>
            </div>
          </div>
        </div>
        <p style="margin-right:30px"> 信息 </p> <br> 
        <textarea style="width:100%; height:150px; margin-bottom:20px; border-color:white" v-model="data.message" ></textarea><br>
        <div class="m_btn" style="width:50%; margin:0 auto;" @click="submit">发送 <img src="@/assets/img/img/send.png" style="marign-left:10px;"width="15px"></div>

      </div>
     
     

    </div>


  </div>
</template>

<script>

export default {
  name: 'reportSeller',
  data() {
    return {
      check: "",
      data: {
          seller_id : '',
          message:'',
          seller_name:''
      },
      
    };
  },
  mounted() {
    
    this.init()
  },

  methods: {

    init() {
      let query = this.$route.query
      this.data.seller_id = query.seller_id
      this.data.seller_name = query.seller_name
    },
    
    submit() { 
        this.api.report_seller(this.data).then(res => { 
            console.log(res.data)
            if(res.data.status == "success") { 
                this.m_success('已提交')
            }
        })
    }
  },
}

</script>
<style lang="scss" scoped>
.scroll {
  padding-bottom: 2.48rem;
  padding-right: 0.3rem;
  padding-left: 0.3rem;
  padding-top: 0.2rem;
}
.address {
  background-color: #ffffff;
  box-sizing: border-box;
  padding: 0.38rem 0.26rem 0.22rem 0.26rem;
  color: #444;
  margin-bottom: 0.2rem;
}

.address:last-child {
  margin-bottom: 0rem;
}

.human_info {
  height: 0.42rem;
  font-size: 0.3rem;
  line-height: 0.3rem;
  margin-bottom: 0.18rem;
}

.human_info--name {
  margin-right: 0.52rem;
}

.human_address {
  height: 0.4rem;
  font-size: 0.28rem;
  // color: #8f8f8f;
  padding-bottom: 0.3rem;
  border-bottom: 1px solid #f1f1f1;
}

.receiver_mobile{
    color: #8F8F8F;
}

.operate {
  padding-top: 0.2rem;
  height: 0.4rem;
  font-size: 0.28rem;
}

.btn_addAddress {
  width: 6.28rem;
  height: 0.88rem;
  background-color: #4C80C1;
  border-radius: 14px;
  line-height: 0.88rem;
  font-size: 0.3rem;
  color: #fff;
  margin: 0 auto;
  text-align: center;
}

.btn_addAddress_box {
  position: fixed;
  z-index: 2;
  bottom: 0;
  height: 1.6rem;
  width: 100%;
  background: #f7f7f7;
  padding-top: 0.36rem;
  box-sizing: border-box;
}

.defAdd {
  width: 1.36rem;
  line-height: 0.46rem;
  text-align: center;
  height: 0.46rem;
  background-color: #ffa847;
  border-radius: 0.04rem;
  font-size: 0.24rem;
  color: #fff;
}
</style>